Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2704503002: [Autofill] Add Chrome flag that annotates web forms with form and field signatures (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by kolos1
Modified:
6 months ago
Reviewers:
sebsg
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, jam, vabr+watchlistpasswordmanager_chromium.org, rouslan+autofill_chromium.org, rogerm+autofillwatch_chromium.org, sebsg+autofillwatch_chromium.org, browser-components-watch_chromium.org, mathp+autofillwatch_chromium.org, darin-cc_chromium.org, asvitkine+watch_chromium.org, vabr+watchlistautofill_chromium.org, estade+watch_chromium.org, gcasto+watchlist_chromium.org, srahim+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Autofill] Add Chrome flag that annotates web forms with form and field signatures The signatures are set as HTML attributes. This flag would be useful for debugging and collecting train data. Review-Url: https://codereview.chromium.org/2704503002 Cr-Commit-Position: refs/heads/master@{#451719} Committed: https://chromium.googlesource.com/chromium/src/+/c8ff75bcb4213239787068128437f9829a2f0de8

Patch Set 1 : #

Total comments: 2

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -7 lines) Patch
M chrome/app/generated_resources.grd View 1 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/about_flags.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M components/autofill/content/renderer/form_autofill_util.h View 1 chunk +4 lines, -0 lines 0 comments Download
M components/autofill/content/renderer/form_autofill_util.cc View 2 chunks +6 lines, -7 lines 0 comments Download
M components/autofill/content/renderer/password_autofill_agent.cc View 1 5 chunks +41 lines, -0 lines 0 comments Download
M components/autofill/core/common/autofill_switches.h View 1 chunk +1 line, -0 lines 0 comments Download
M components/autofill/core/common/autofill_switches.cc View 1 chunk +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (13 generated)
kolos1
Hi Sebastien, Please review this CL. This flag is very similar to #show-autofill-type-predictions, but a ...
6 months ago (2017-02-16 15:26:43 UTC) #5
sebsg
LGTM with a small comment :) https://codereview.chromium.org/2704503002/diff/20001/components/autofill/content/renderer/password_autofill_agent.cc File components/autofill/content/renderer/password_autofill_agent.cc (right): https://codereview.chromium.org/2704503002/diff/20001/components/autofill/content/renderer/password_autofill_agent.cc#newcode571 components/autofill/content/renderer/password_autofill_agent.cc:571: void AnnotateFormsWithSignatures( Can ...
6 months ago (2017-02-17 16:19:57 UTC) #7
kolos1
Thanks for review Sebastien! Regards, Maxim https://codereview.chromium.org/2704503002/diff/20001/components/autofill/content/renderer/password_autofill_agent.cc File components/autofill/content/renderer/password_autofill_agent.cc (right): https://codereview.chromium.org/2704503002/diff/20001/components/autofill/content/renderer/password_autofill_agent.cc#newcode571 components/autofill/content/renderer/password_autofill_agent.cc:571: void AnnotateFormsWithSignatures( On ...
6 months ago (2017-02-20 10:04:54 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2704503002/50001
6 months ago (2017-02-21 09:50:28 UTC) #15
commit-bot: I haz the power
6 months ago (2017-02-21 09:56:27 UTC) #18
Message was sent while issue was closed.
Committed patchset #2 (id:50001) as
https://chromium.googlesource.com/chromium/src/+/c8ff75bcb4213239787068128437...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b